Create a skill
Creates a vault skill from a key, name and SKILL.md content. Scripts are not persisted (see the install route notes).
POST
/api/agent/skillsBody
vault_idstringrequiredkeystringrequirednamestringrequireddescriptionstringrequiredcontentstringrequiredtagsstring[]requiredscriptsobject[]filenamestringrequiredlanguagestringrequireddescriptionstringsourcestringrequiredRequest
curl
curl -X POST https://trickest.io/api/agent/skills \
-H "Authorization: Token $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200The new skill
skillobjectrequiredidstringrequiredkeystringrequirednamestringrequireddescriptionstringcontentstringrequiredvault_idstringrequiredis_builtinbooleanrequiredtagsstring[]created_atstringrequiredupdated_atstringrequiredversionstringsourcestringfrontmatterobjectshadows_builtin_versionstring400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.